<?php
session_start();

header('Content-Type: text/html; charset=utf-8');

// kontrola, jestli ěnjaký vtipálek nepřeskočil polovinu instalace
if (isset($_SESSION['last_installation_step'])) {

	$last_step = "download_and_unpack";
	$current_step = "mysql";

	if ($_SESSION['last_installation_step'] == $last_step) {
		$_SESSION['last_installation_step'] = $current_step;
	}

	if ($_SESSION['last_installation_step'] != $current_step) {
		header("location: ./".$last_step.".php");
		die();
	}
} else {
	header("location: ./install_index.php");
}

if (!empty($_POST)) {
	switch ($_POST['action']) {
		case "show_db":

			if (isset($_POST['server']) && isset($_POST['login'])) {

				if (@mysql_connect($_POST['server'], $_POST['login'], $_POST['password'])) {

					$databases_select = mysql_query("SHOW DATABASES");

					$databases = null;

					$ignore_db = array("information_schema", "cdcol", "mysql", "performance_schema", "phpmyadmin");

					while (list ($db_name) = mysql_fetch_array($databases_select)) {
						if (in_array($db_name, $ignore_db)) continue;

						$databases .= "<option value='".$db_name."'>".$db_name."</option>\n";
					}

					if ($databases != null) {
						$databases = "<select name='mysql_database'>\n".$databases."</select>\n";
					}

					die($databases);

				} else {
					if ($_POST['login'] != "") {
						die("error");
					}
				}
			}

		break;

		case "create_tables":

			if (isset($_POST['mysql_server']) && isset($_POST['mysql_user']) && isset($_POST['mysql_password']) && isset($_POST['mysql_database']) && isset($_POST['mysql_prefix'])) {

				if (@mysql_connect($_POST['mysql_server'], $_POST['mysql_user'], $_POST['mysql_password'])) {
					if (@mysql_select_db($_POST['mysql_database'])) {

						define("DB_PREFIX", preg_replace("/[^a-z0-9_]/iu", "", $_POST['mysql_prefix']));
						define("ADDRESS", dirname($_SERVER['HTTP_HOST'].$_SERVER['PHP_SELF'])."/");
						define("ROOT", preg_replace("/".$_SERVER['HTTP_HOST']."/", "", ADDRESS));

						// zapíšeme hodnotu DB_PREFIX rovnou do souboru
						$address_data = "<?php\n";
						$address_data .= "// vygenerováno při instalaci\n";
						$address_data .= "define(\"DB_PREFIX\", \"".DB_PREFIX."\");\n";
						$address_data .= "define(\"ADDRESS\", \"".ADDRESS."\");\n";
						$address_data .= "?>";

						// vytvoříme soubor mysql-login.php
						$mysql_content = '<?php'."\n";
						$mysql_content .= 'define ("DB_SERVER", "'.$_POST['mysql_server'].'");'."\n";
						$mysql_content .= 'define ("DB_LOGIN", "'.$_POST['mysql_user'].'");'."\n";
						$mysql_content .= 'define ("DB_PASSWORD", "'.$_POST['mysql_password'].'");'."\n";
						$mysql_content .= 'define ("DB_DATABASE", "'.$_POST['mysql_database'].'");'."\n";
						$mysql_content .= '?>';

						// .htaccess
						$htaccess = "# Chybové hlášky\n";
						$htaccess .= "ErrorDocument 404 ".ROOT."error/404.php\n";
						$htaccess .= "ErrorDocument 403 ".ROOT."error/403.php\n";
						$htaccess .= "\n";
						$htaccess .= "RewriteEngine on\n";
						$htaccess .= "\n";
						$htaccess .= "# Ignorovat všechny existující soubory a složky\n";
						$htaccess .= "RewriteCond %{REQUEST_FILENAME} -f [NC,OR]\n";
						$htaccess .= "RewriteCond %{REQUEST_FILENAME} -d [NC]\n";
						$htaccess .= "RewriteRule .* - [L]\n";
						$htaccess .= "\n";
						$htaccess .= "## Stránky\n";
						$htaccess .= "RewriteRule ^([a-z0-9\-]+)\.(html)$ ".ROOT."index\.php\?url=$1&%{QUERY_STRING} [L,NC]\n";

						// vytvoříme .htaccess
						file_put_contents("./.htaccess", $htaccess);

						// zapíšeme
						if (is_writable("./include/")) {
							file_put_contents("./include/mysql-login.php", $mysql_content);

							// zapíšeme i do /include/address.php
							file_put_contents("./include/address.php", $address_data);

						} else {
							$error = "<span class='error'>Nelze pokračovat - nelze zapsat konfiguraci pro MySQL. Zkontroluj přístupová práva pro složku /include.</span>\n";
							$skip = true;
						}

						if (!isset($error)) {

							mysql_query("SET NAMES 'utf8'");

							mysql_query("CREATE TABLE `".DB_PREFIX."_icons` (
							  `id` int(4) NOT NULL AUTO_INCREMENT,
							  `left` float NOT NULL,
							  `top` float NOT NULL,
							  `icon_name` varchar(128) NOT NULL,
							  `icon_text` varchar(128) NOT NULL,
							  PRIMARY KEY (`id`),
							  KEY `icon_name` (`icon_name`),
							  KEY `icon_text` (`icon_text`)
							) ENGINE=InnoDB  DEFAULT CHARSET=utf8;");

							mysql_query("CREATE TABLE `".DB_PREFIX."_main_config` (
							  `id` int(4) NOT NULL AUTO_INCREMENT,
							  `setting` varchar(128) NOT NULL,
							  `value` varchar(512) NOT NULL,
							  PRIMARY KEY (`id`),
							  KEY `setting` (`setting`),
							  KEY `value` (`value`(255))
							) ENGINE=InnoDB  DEFAULT CHARSET=utf8;");

							mysql_query("CREATE TABLE `".DB_PREFIX."_menus` (
							  `id` int(4) NOT NULL AUTO_INCREMENT,
							  `type` enum('top','sidebar','footer') NOT NULL,
							  `order` int(4) NOT NULL,
							  `item_id` int(4) NOT NULL,
							  PRIMARY KEY (`id`),
							  UNIQUE KEY `item_id` (`item_id`),
							  KEY `order` (`order`)
							) ENGINE=InnoDB  DEFAULT CHARSET=utf8;");

							mysql_query("CREATE TABLE `".DB_PREFIX."_menu_config` (
							  `id` int(4) NOT NULL AUTO_INCREMENT,
							  `item` int(4) NOT NULL,
							  `item_name` varchar(128) NOT NULL,
							  `set` varchar(64) NOT NULL,
							  `value` text NOT NULL,
							  PRIMARY KEY (`id`),
							  KEY `item` (`item`),
							  KEY `item_name` (`item_name`)
							) ENGINE=InnoDB  DEFAULT CHARSET=utf8;");

							mysql_query("CREATE TABLE `".DB_PREFIX."_pages` (
							  `id` int(11) NOT NULL AUTO_INCREMENT,
							  `type` varchar(64) NOT NULL,
							  `keywords` varchar(512) NOT NULL,
							  `description` varchar(1024) NOT NULL,
							  `title` varchar(128) NOT NULL,
							  `url` varchar(64) NOT NULL,
							  `content` text NOT NULL,
							  `use_template` tinyint(1) NOT NULL DEFAULT '1',
							  `show_in_menu` tinyint(1) NOT NULL DEFAULT '1',
							  `category_item_id` int(4) NOT NULL,
							  `order` int(4) NOT NULL,
							  PRIMARY KEY (`id`),
							  UNIQUE KEY `url` (`url`),
							  KEY `type` (`type`),
							  KEY `show_in_menu` (`show_in_menu`),
							  KEY `category_id` (`category_item_id`)
							) ENGINE=InnoDB  DEFAULT CHARSET=utf8;");

							mysql_query("CREATE TABLE `".DB_PREFIX."_permissions` (
							  `id` int(4) NOT NULL AUTO_INCREMENT,
							  `perm_group` varchar(64) NOT NULL,
							  `authorization` varchar(256) NOT NULL,
							  `show_perm` varchar(256) NOT NULL,
							  PRIMARY KEY (`id`),
							  KEY `perm_group` (`perm_group`),
							  KEY `authorization` (`authorization`(255))
							) ENGINE=InnoDB  DEFAULT CHARSET=utf8;");

							mysql_query("CREATE TABLE `".DB_PREFIX."_permissions_categories` (
							  `id` int(4) NOT NULL AUTO_INCREMENT,
							  `name` varchar(128) NOT NULL,
							  `text` varchar(128) NOT NULL,
							  PRIMARY KEY (`id`),
							  KEY `name` (`name`)
							) ENGINE=InnoDB  DEFAULT CHARSET=utf8;");

							mysql_query("CREATE TRIGGER `".DB_PREFIX."_permissions_categories_ad` AFTER DELETE ON `".DB_PREFIX."_permissions_categories`
							 FOR EACH ROW DELETE FROM `".DB_PREFIX."_permissions` WHERE `perm_group`=OLD.`name`");

							mysql_query("CREATE TABLE `".DB_PREFIX."_users` (
							  `id` int(4) NOT NULL AUTO_INCREMENT,
							  `name` varchar(256) NOT NULL,
							  `login` varchar(32) NOT NULL,
							  `about_author` text NOT NULL,
							  `paswd` varchar(32) NOT NULL,
							  `mail` varchar(256) NOT NULL,
							  `created` datetime NOT NULL,
							  PRIMARY KEY (`id`),
							  KEY `login` (`login`),
							  KEY `paswd` (`paswd`)
							) ENGINE=InnoDB  DEFAULT CHARSET=utf8;");

							mysql_query("CREATE TABLE `".DB_PREFIX."_users_permissions` (
							  `user_id` int(4) NOT NULL,
							  `permission_id` int(11) NOT NULL,
							  KEY `permission_id` (`permission_id`),
							  KEY `user_id` (`user_id`)
							) ENGINE=InnoDB DEFAULT CHARSET=utf8;");

							mysql_query("INSERT INTO `".DB_PREFIX."_icons` VALUES('', 5, 5, 'pages', 'Stránky');");
							mysql_query("INSERT INTO `".DB_PREFIX."_icons` VALUES('', 15, 5, 'created_pages', 'Upravit stránku')");
							mysql_query("INSERT INTO `".DB_PREFIX."_icons` VALUES('', 5, 15, 'settings', 'Nastavení');");
							mysql_query("INSERT INTO `".DB_PREFIX."_icons` VALUES('', 10, 5, 'images', 'Obrázky');");
							mysql_query("INSERT INTO `".DB_PREFIX."_icons` VALUES('', 10, 15, 'style', 'Nastavení vzhledu');");
							mysql_query("INSERT INTO `".DB_PREFIX."_icons` VALUES('', 5, 25, 'update', 'Aktualizace');");
							mysql_query("INSERT INTO `".DB_PREFIX."_icons` VALUES('', 10, 25, 'install', 'Instalace');");

							mysql_query("INSERT INTO `".DB_PREFIX."_main_config` VALUES('', 'title', 'kRS3.2');");
							mysql_query("INSERT INTO `".DB_PREFIX."_main_config` VALUES('', 'subheading', '');");
							mysql_query("INSERT INTO `".DB_PREFIX."_main_config` VALUES('', 'keywords', '');");
							mysql_query("INSERT INTO `".DB_PREFIX."_main_config` VALUES('', 'web_description', '');");
							mysql_query("INSERT INTO `".DB_PREFIX."_main_config` VALUES('', 'author', '');");
							mysql_query("INSERT INTO `".DB_PREFIX."_main_config` VALUES('', 'style', 'plainclean');");
							mysql_query("INSERT INTO `".DB_PREFIX."_main_config` VALUES('', 'cache', '0');");
							mysql_query("INSERT INTO `".DB_PREFIX."_main_config` VALUES('', 'max_pages', '6');");
							mysql_query("INSERT INTO `".DB_PREFIX."_main_config` VALUES('', 'admin_icon_color', '#000000');");
							mysql_query("INSERT INTO `".DB_PREFIX."_main_config` VALUES('', 'admin_font_size', '100');");

							mysql_query("INSERT INTO `".DB_PREFIX."_menus` VALUES('', 'sidebar', 1, 1);");
							mysql_query("INSERT INTO `".DB_PREFIX."_menus` VALUES('', 'footer', 2, 2);");
							mysql_query("INSERT INTO `".DB_PREFIX."_menus` VALUES('', 'footer', 1, 3);");

							mysql_query("INSERT INTO `".DB_PREFIX."_menu_config` VALUES('', 1, 'Links', 'title', 'Hlavní menu');");
							mysql_query("INSERT INTO `".DB_PREFIX."_menu_config` VALUES('', 2, 'Html', 'title', 'Odkazy');");
							mysql_query("INSERT INTO `".DB_PREFIX."_menu_config` VALUES('', 2, 'Html', 'html', '<ul>\n<li class=''widget_title''><h2>Odkazy</h2></li>\n<li><a href=''http://kvacek.cz''>Michal Kváček</a></li>\n<li><a href=''http://galerie.kvacek.cz''>Michal Kváček (fotogalerie)</a></li>\n<li><a href=''http://klicenka.kvacek.cz''>Klíčenka - online nástroj pro pamatování hesel</a></li>\n</ul>');");
							mysql_query("INSERT INTO `".DB_PREFIX."_menu_config` VALUES('', 3, 'Html', 'title', 'O kRS');");
							mysql_query("INSERT INTO `".DB_PREFIX."_menu_config` VALUES('', 3, 'Html', 'html', '<ul>\n<li>\n<h2>O kRS</h2>\nRedakční systém kRS se v nové verzi snaží odprostit od myšlenky \"systém pro blog\". Při jeho vývoji jsem dbal především na možnou rozšiřitelnost, modularitu a jednoduchost ovládání.</li>\n</ul>');");

							mysql_query("INSERT INTO `".DB_PREFIX."_pages` VALUES('', 'StaticPage', 'kRS, titulní strana, úvodní text', 'Titulní strana redakčního systému kRS.', 'Hlavní stránka', 'index', '<p style=\"text-align: justify;\">Vítám tě na titulní straně kRS verze 3.2. Hlavní velkou novinkou v této verzi je odproštění se od ideálu \"redakční systém výhradně pro blog\". Díky novému způsobu zobrazování lze kRS použít jako správce stránek pro jakoukoliv webovou prezentaci. V základu nabízí pouze modul pro tvorbu statických stránek (pomocí vizuálního editoru tinyMCE). Nicméně přes instalační nástroj lze možnosti rozšířit.</p>\n<p>Tak již na nic nečekej a <a href=\"admin/login.php\">přihlaš se</a>!</p>', 1, 1, 1, 1);");

							mysql_query("ALTER TABLE `".DB_PREFIX."_users_permissions`
							  ADD CONSTRAINT `".DB_PREFIX."_users_permissions_ibfk_5` FOREIGN KEY (`user_id`) REFERENCES `".DB_PREFIX."_users` (`id`) ON DELETE CASCADE ON UPDATE CASCADE,
							  ADD CONSTRAINT `".DB_PREFIX."_users_permissions_ibfk_6` FOREIGN KEY (`permission_id`) REFERENCES `".DB_PREFIX."_permissions` (`id`) ON DELETE CASCADE ON UPDATE CASCADE;") or die(mysql_error());

							mysql_query("INSERT INTO `".DB_PREFIX."_permissions` VALUES('', 'images', 'delete_images', 'Mazat obrázky');");
							mysql_query("INSERT INTO `".DB_PREFIX."_permissions` VALUES('', 'images', 'upload_images', 'Nahrávat obrázky');");
							mysql_query("INSERT INTO `".DB_PREFIX."_permissions` VALUES('', 'images', 'rename_images', 'Přejmenovávat obrázky');");
							mysql_query("INSERT INTO `".DB_PREFIX."_permissions` VALUES('', 'images', 'upload_background_images', 'Nahrávat obrázky na pozadí plochy');");
							mysql_query("INSERT INTO `".DB_PREFIX."_permissions` VALUES('', 'images', 'delete_background_images', 'Mazat obrázky plochy');");
							mysql_query("INSERT INTO `".DB_PREFIX."_permissions` VALUES('', 'images', 'create_new_directories_for_images', 'Vytvářet složky pro obrázky');");
							mysql_query("INSERT INTO `".DB_PREFIX."_permissions` VALUES('', 'images', 'delete_directories_for_images', 'Mazat složky pro obrázky');");
							mysql_query("INSERT INTO `".DB_PREFIX."_permissions` VALUES('', 'install', 'update_rs', 'Aktualizovat systém');");
							mysql_query("INSERT INTO `".DB_PREFIX."_permissions` VALUES('', 'install', 'install_plugins', 'Instalovat doplňky');");
							mysql_query("INSERT INTO `".DB_PREFIX."_permissions` VALUES('', 'install', 'uninstall_plugins', 'Odinstalovávat doplňky');");
							mysql_query("INSERT INTO `".DB_PREFIX."_permissions` VALUES('', 'menu', 'modify_settings_of_menu_items', 'Měnit nastavení položek menu');");
							mysql_query("INSERT INTO `".DB_PREFIX."_permissions` VALUES('', 'menu', 'add_menu_items', 'Přidávat položky do menu');");
							mysql_query("INSERT INTO `".DB_PREFIX."_permissions` VALUES('', 'menu', 'remove_menu_items', 'Odebírat položky menu');");
							mysql_query("INSERT INTO `".DB_PREFIX."_permissions` VALUES('', 'menu', 'move_menu_items', 'Přesouvat položky menu');");
							mysql_query("INSERT INTO `".DB_PREFIX."_permissions` VALUES('', 'menu', 'create_menu_items', 'Vytvářet textové widgety');");
							mysql_query("INSERT INTO `".DB_PREFIX."_permissions` VALUES('', 'menu', 'delete_menu_items', 'Mazat položky menu');");
							mysql_query("INSERT INTO `".DB_PREFIX."_permissions` VALUES('', 'menu', 'detele_text_widget', 'Mazat textové widgety');");
							mysql_query("INSERT INTO `".DB_PREFIX."_permissions` VALUES('', 'menu', 'set_widgets', 'Upravovat textové widgety');");
							mysql_query("INSERT INTO `".DB_PREFIX."_permissions` VALUES('', 'settings', 'set_style', 'Měnit vzhled');");
							mysql_query("INSERT INTO `".DB_PREFIX."_permissions` VALUES('', 'settings', 'change_page_info', 'Měnit informace o stránce');");
							mysql_query("INSERT INTO `".DB_PREFIX."_permissions` VALUES('', 'settings', 'modify_css', 'Upravovat vzhled (editovat css)');");
							mysql_query("INSERT INTO `".DB_PREFIX."_permissions` VALUES('', 'settings', 'delete_styles', 'Mazat vzhledy');");
							mysql_query("INSERT INTO `".DB_PREFIX."_permissions` VALUES('', 'users', 'create_users', 'Vytvářet uživatele');");
							mysql_query("INSERT INTO `".DB_PREFIX."_permissions` VALUES('', 'users', 'change_users_permissions', 'Měnit práva uživatelům');");
							mysql_query("INSERT INTO `".DB_PREFIX."_permissions` VALUES('', 'users', 'delete_users', 'Mazat uživatele');");
							mysql_query("INSERT INTO `".DB_PREFIX."_permissions` VALUES('', 'pages', 'create_pages', 'Vytvářet stránky');");
							mysql_query("INSERT INTO `".DB_PREFIX."_permissions` VALUES('', 'pages', 'delete_pages', 'Mazat stránky');");
							mysql_query("INSERT INTO `".DB_PREFIX."_permissions` VALUES('', 'pages', 'create_new_pages_groups', 'Vytvářet skupiny odkazů');");
							mysql_query("INSERT INTO `".DB_PREFIX."_permissions` VALUES('', 'pages', 'move_pages', 'Měnit pořadí stránek');");

							mysql_query("INSERT INTO `".DB_PREFIX."_permissions_categories` VALUES('', 'images', 'Správa obrázků');");
							mysql_query("INSERT INTO `".DB_PREFIX."_permissions_categories` VALUES('', 'install', 'Správa pluginů');");
							mysql_query("INSERT INTO `".DB_PREFIX."_permissions_categories` VALUES('', 'menu', 'Správa menu');");
							mysql_query("INSERT INTO `".DB_PREFIX."_permissions_categories` VALUES('', 'settings', 'Globální nastavení');");
							mysql_query("INSERT INTO `".DB_PREFIX."_permissions_categories` VALUES('', 'users', 'Správa uživatelů');");
							mysql_query("INSERT INTO `".DB_PREFIX."_permissions_categories` VALUES('', 'pages', 'Stránky');");

							mysql_query("ALTER TABLE `".DB_PREFIX."_menus`
							  ADD CONSTRAINT `".DB_PREFIX."_menus_ibfk_2` FOREIGN KEY (`item_id`) REFERENCES `".DB_PREFIX."_menu_config` (`item`) ON DELETE CASCADE ON UPDATE CASCADE;");

							header("location: ./create_user.php");
							exit();
						}
					} else {
						$error = "<span class='error'>Nelze vybrat tuto databázi. Zvol prosím jinou.</span>\n";
					}
				} else {
					$error = "<span class='error'>Nelze se připojit k databázi. Opravdu jsi zadal přihlašovací údaje dobře?</span>\n";
				}
			} else {
				$error = "<span class='error'>Vyplň prosím všechna pole.</span>\n".var_dump($_POST);
			}

		break;
	}
}

?>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<title>Instalace kRS 3.2 - stažení a rozbalení systému</title>

<meta name='author' content='Michal Kváček' />
<meta name='description' content='' />
<meta name='keywords' content='' />
<meta name='robots' content='noindex, nofollow' />
<meta content="text/html; charset=utf-8" http-equiv="Content-Type" />
<script type='text/javascript' src='http://code.jquery.com/jquery-1.7.1.min.js'></script>

<style type='text/css'>
html {
	background: #CACACA;
	padding-top: 5em;
}

a {
	color: #353535;
	font-weight: bold;
}

.ok, .error, .not_recommanded {
	font-weight: bold;
	font-size: big;
}

.ok {
	color: #008A00;
}

.error {
	color: #810000;
}

.not_recommanded {
	color: #BD7D00;
}

#container, #logo, #installation_progress {
	width: 80%;
	border: solid 1px #C6C6C6;
	background: #DADADA;
	color: #424242;
	margin: 10px auto;
	padding: 10px;
}

#footer {
	width: 80%;
	margin: 10px auto;
	text-align: center;
	font-size: small;
}
</style>

<script type='text/javascript'>

function show_databases() {

	var server = $("#mysql_server").val();
	var login = $("#mysql_user").val();
	var password = $("#mysql_password").val();

	if (server != "" && login != "") {
		$.ajax({
			url: "mysql.php",
			type: "POST",
			data: "action=show_db&server="+server+"&login="+login+"&password="+password,
			success: function(data) {
				if (data != "error") {
					$("#tmp").html("<span class='ok'>Zadané hodnoty jsou v pořádku. Vyber databázi, kam chceš kRS nainstalovat.</span>");
					$("#databases").html(data);

				} else {
					$("#tmp").html("<span class='error'>Nelze se připojit k databázi. Zkontroluj nastavení</span>");
					$("#databases").html("<em>Nejprve vyplň předešlá pole.</em>");
				}
			}
		});
	}
}

</script>

</head>
<body>

	<div id='logo'>
		<h1>Instalace kRS 3.2</h1>
	</div>

	<div id='installation_progress'><span style='color: green'>Zahájení instalace » Kontrola požadavků » Stažení a rozbalení systému</span> » <em>Přihlášení do databáze</em> » Vytvoření uživatele » Dokončení instalace</div>

	<div id='container'>

		<p>
			<h3>Přihlášení do databáze</h3>
		</p>
		<p>

			<div id='tmp'></div>

			<?php if (isset($error)) echo $error;?>

			<form action='./mysql.php' method='post'>
				<input type='hidden' name='action' value='create_tables' />
				<table>
					<tr>
						<td>MySQL server: </td>
						<td><input type='text' onblur='show_databases();' name='mysql_server' id='mysql_server' /></td>
					</tr>
					<tr>
						<td>Uživatel: </td>
						<td><input type='text' onblur='show_databases();' name='mysql_user' id='mysql_user' /></td>
					</tr>
					<tr>
						<td>Heslo: </td>
						<td><input type='password' onblur='show_databases();' name='mysql_password' id='mysql_password' /></td>
					</tr>
					<tr>
						<td>Databáze: </td>
						<td id='databases'><em>Nejprve vyplň předešlá pole.</em></td>
					</tr>
					<tr>
						<td>Prefix tabulek: </td>
						<td><input type='text' name='mysql_prefix' id='mysql_prefix' value='krs' />_&lt;jméno tabulky&gt;</td>
					</tr>
					<tr>
						<td></td>
						<td><input type='submit' value='Přihlásit se' /></td>
					</tr>
				</table>
			</form>
		</p>
	</div>

	<div id='footer'>
		&copy; Michal Kváček 2012
	</div>

</body>
</html>
